package com.iotechn.unimall.data.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.iotechn.unimall.core.util.StringUtils;
import java.util.Date;
import java.util.List;

/**
 * 记录关于我们信息对象 about_us_info
 * 
 * @author jlb
 * @date 2023-05-31
 */
@Data
@TableName("about_us_info")
public class AboutUsInfo extends SuperDO{
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId("id")
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @TableField("title")
    private String title;

    /** 副标题 */
    @Excel(name = "副标题")
    @TableField("deputy_title")
    private String deputyTitle;

    /** 封面图片 */
    @Excel(name = "封面图片")
    @TableField("cover_image")
    private String coverImage;

    /** 视频地址 */
    @Excel(name = "视频地址")
    @TableField("video_url")
    private String videoUrl;

    /** 分类 */
    @Excel(name = "分类")
    @TableField("classify")
    private String classify;

    /** 内容 */
    @Excel(name = "内容")
    @TableField("content")
    private String content;

    /** 详情 */
    @Excel(name = "详情")
    @TableField("details")
    private String details;

    /** 语言 */
    @Excel(name = "语言")
    @TableField("language")
    private String language;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_create")
    private Date gmtCreate;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_update")
    private Date gmtUpdate;

    /** 删除标识 */
    @Excel(name = "删除标识")
    @TableField("delete_flag")
    private Long deleteFlag;

    @TableField(exist = false)
    private List<AboutUsHxinfo> aboutUsHxinfoList;
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("deputyTitle", getDeputyTitle())
            .append("coverImage", getCoverImage())
            .append("videoUrl", getVideoUrl())
            .append("classify", getClassify())
            .append("content", getContent())
            .append("details", getDetails())
            .append("language", getLanguage())
            .append("status", getStatus())
            .append("gmtCreate", getGmtCreate())
            .append("gmtUpdate", getGmtUpdate())
            .append("deleteFlag", getDeleteFlag())
            .toString();
    }
}
